Bug 11748 - Remove unused jquery.uitablefilter.js plugin
Summary: Remove unused jquery.uitablefilter.js plugin
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-12 14:40 UTC by Owen Leonard
Modified: 2014-12-07 20:07 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11748 - Remove unused jquery.uitablefilter.js plugin (3.75 KB, patch)
2014-02-12 14:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11748 - Remove unused jquery.uitablefilter.js plugin (3.77 KB, patch)
2014-02-16 05:23 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 11748 - Remove unused jquery.uitablefilter.js plugin (3.83 KB, patch)
2014-02-17 09:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-02-12 14:40:23 UTC
The jquery.uitablefilter.js was added for use in conjunction with the older tablesorter plugin which has now been removed. This plugin is used nowhere in Koha.
Comment 1 Owen Leonard 2014-02-12 14:55:11 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-02-16 05:23:51 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-02-17 09:11:24 UTC
Created attachment 25340 [details] [review]
Bug 11748 - Remove unused jquery.uitablefilter.js plugin

This patch removes a jQuery plugin which was added for use with the old
tablesorter plugin. Since the tablesorter plugin has been removed and
replaced with DataTables this plugin can also be removed.

To test, apply the patch and search for instances of the plugin:

grep -r -l "jquery.uitablefilter.js" *

There should be no results.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Galen Charlton 2014-02-18 20:41:07 UTC
Pushed to master.  Thanks, Owen!